﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _451915
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            List<TreeItem> items = new List<TreeItem>();
            {
                TreeItem t1 = new TreeItem();
                t1.id = 1;
                t1.Label = "Home";
                t1.ImageKey = "cut.png";
                items.Add(t1);
            }
            {
                TreeItem t1 = new TreeItem();
                t1.id = 2;
                t1.pid = 1;
                t1.Label = "Level 2";
                t1.ImageKey = "help.png";
                items.Add(t1);
            }
            radTreeView1.ValueMember = "ImageKey";
            radTreeView1.DisplayMember = "Label";
            radTreeView1.DataSource = items;

            radTreeView1.NodeFormatting += new TreeNodeFormattingEventHandler(radTreeView1_NodeFormatting);

        }

        void radTreeView1_NodeFormatting(object sender, TreeNodeFormattingEventArgs e)
        {
            e.NodeElement.ImageElement.Image = imageList1.Images[e.Node.Value.ToString()];
        }

        public class TreeItem
        {
            public int id { get; set; }
            public int pid { get; set; }
            public string Label { get; set; }
            public string ImageKey { get; set; }
        }
    }
}
